=== debian/changelog ===
mergedeep (1.3.4-4) unstable; urgency=medium

  * [5e69c93] Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-local-intersphinx-while-build-of-documentation.patch
    setup.py-Fix-warning-due-use-of-tuple.patch
    move-py.typed-to-fix-15-also-see-2.patch
    (Closes: #1090104)
  * [1ef8c5f] d/control: Use dh-sequence-python3
  * [7bdfef3] d/control: Use dh-sequence-sphinxdoc
  * [3a40e2d] d/control: Use pybuild-plugin-pyproject in B-D
  * [10ba45c] d/rules: Drop --with option in default target
  * [e388a41] d/control: Add python3-doc to B-D
  * [88974b2] d/control: Set BuildProfileSpecs on B-D
  * [e7180b2] d/rules: Let dh_clean remove .mypy_cache
  * [56e0606] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Dec 2024 20:11:34 +0200

mergedeep (1.3.4-3) unstable; urgency=medium

  [ root ]
  * [3bb2bbd] Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 01:07:31 +0100

mergedeep (1.3.4-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Mar 2022 07:25:02 +0100

mergedeep (1.3.4-1) unstable; urgency=medium

  * [5e78f36] New upstream version 1.3.4
  * [1300a22] First and basic Debianization
    (Closes: #1006479)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Feb 2022 08:15:41 +0100
