=== debian/control ===
Source: mergedeep
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-doc <!nodoc>,
 python3-recommonmark <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mergedeep
Vcs-Git: https://salsa.debian.org/python-team/packages/mergedeep.git
Homepage: https://github.com/clarketm/mergedeep

Package: python-mergedeep-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Deep merge function for Python (Documentation)
 This library can help if you need to do some deep merge without mutating
 the source dicts or while you want to deep merging into an existing dict.
 It provides various merge strategies (Replace, Additive, Typesafe replace,
 or Typesafe additive).
 .
 This package provides the documentation.

Package: python3-mergedeep
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Deep merge function for Python (Python3 version)
 This library can help if you need to do some deep merge without mutating
 the source dicts or while you want to deep merging into an existing dict.
 It provides various merge strategies (Replace, Additive, Typesafe replace,
 or Typesafe additive).
 .
 This package contains the Python 3 version of the library.
