=== debian/watch ===
# watch file for mergedeep

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/clarketm/mergedeep.git \
      refs/tags/v@ANY_VERSION@
